| DocBook: The Definitive Guide 2.0.17 (Alpha)

# bibliosource

$Revision$

$Date$

bibliosource — The source of a document

## Synopsis

### Mixed Content Model

    bibliosource ::=
    (#PCDATA|link|olink|ulink|emphasis|trademark|replaceable|remark|
     subscript|superscript|inlinegraphic|inlinemediaobject|indexterm)*

### Attributes

Common attributes

Name | Type | Default
otherclass | CDATA | None

class

Enumeration:
doi
isbn
isrn
issn
libraryofcongress
other
pubnumber
uri

None

## Description

The `bibliosource` element satisfies the source element of the Dublin Core Metadata Initiative.

The Dublin Core defines source as “a reference to a resource from which the present resource is derived.” It goes on to note that “the present resource may be derived from the source resource in whole or in part. Recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system.”

DocBook 4.2 added `bibliocoverage`, `bibliorelation`, and `bibliosource` to make the DocBook meta-information wrappers a complete superset of the Dublin Core.

### Processing expectations

Formatted inline. Sometimes suppressed.

### Parents

These elements contain bibliosource: `appendixinfo`, `articleinfo`, `biblioentry`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `partinfo`, `prefaceinfo`, `refentryinfo`, `referenceinfo`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `setindexinfo`, `setinfo`, `sidebarinfo`.

### Children

The following elements occur in bibliosource: `emphasis`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `link`, `olink`, `remark`, `replaceable`, `subscript`, `superscript`, `trademark`, `ulink`.

## Attributes

class

  Identifies the encoding scheme of the identifier.

otherclass

  Identifies the encoding scheme of the identifier when `class` is `other`.

biblioset |  | blockinfo

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.